#include <SoftwareSerial.h>

SoftwareSerial gsm(7, 8);

void setup()
{
  gsm.begin(19200);  //Default serial port setting for the GPRS modem is 19200bps 8-N-1
  delay(25000);
  pinMode(13, OUTPUT);
  digitalWrite(13, HIGH);
  gsm.print("\r");
  delay(1000);
  gsm.print("ATQ0\r\n");
  delay(1000);
  gsm.print("ATE1\r\n");
  delay(1000);
  gsm.print("AT&W\r\n");
  delay(1000);                    //Wait for a second while the modem sends an "OK"
  gsm.print("AT+CMGF=1\r");    //Because we want to send the SMS in text mode
  delay(1000);
 
 
  gsm.print("AT+CMGS=\"+16177106728\"\r");    //Start accepting the text for the message
                                                  //to be sent to the number specified.
                                                  //Replace this number with the target mobile number.
  delay(1000);
  gsm.print("hello jimbo.we\r");   //The text for the message
  delay(1000);
  gsm.print(26,BYTE);  //Equivalent to sending Ctrl+Z 
}
 
void loop()
{
      //We just want to send the SMS only once, so there is nothing in this loop.
      //If we put the code for SMS here, it will be sent again and again and cost us a lot.
}

