//Serial Relay - Arduino will patch a 
//serial link between the computer and the GPRS Shield
//at 19200 bps 8-N-1
//Computer is connected to Hardware UART
//GPRS Shield is connected to the Software UART 
 
#include <SoftwareSerial.h>
 
SoftwareSerial mySerial(7, 8);
 
void setup()
{
  mySerial.begin(19200);               // the GPRS baud rate   
  Serial.begin(19200);                 // the GPRS baud rate   
  pinMode(13, OUTPUT);
  
  delay(25000);
  digitalWrite(13, HIGH);
  mySerial.print("\r");
  delay(1000);
  mySerial.print("ATQ0\r\n");
  delay(1000);
  mySerial.print("ATE1\r\n");
  delay(1000);
  mySerial.print("AT&W\r\n");
  digitalWrite(13, LOW);
  delay(1000);
  
}
 
void loop()
{
    if(Serial.available())
    {
       mySerial.print((unsigned char)Serial.read());
     }  
    else  if(mySerial.available())
    {
      digitalWrite(13, HIGH);
       Serial.print((unsigned char)mySerial.read());
       digitalWrite(13, LOW);
     }   
 
}

